My Oracle Support Banner

bdachecksw/bdacheckcluster Raise "ERROR: Required package cloudera-manager-daemons is not valid : S.5....T. /opt/cloudera/cm/common_jars/log4j-core-2.8.2.<#>.jar" After Mitigation in TSB 2021-545 (Doc ID 2832408.1)

Last updated on JANUARY 13, 2022

Applies to:

Big Data Appliance Integrated Software - Version 5.1.0 and later
Linux x86-64

Symptoms

In the images, examples and document that follow, user details, cluster names, hostnames, directory paths, filenames, etc. represent a fictitious sample (and are used to provide an illustrative example only). Any similarity to actual persons, or entities, living or dead, is purely coincidental and not intended in any manner.

After following the mitigation steps in, TSB 2021-545: Critical vulnerability in log4j2 CVE-2021-44228 (Doc ID 2828023.1), running bdachecksw and/or bdacheckcluster raise errors like "ERROR: Required package cloudera-manager-daemons is not valid : S.5....T. /opt/cloudera/cm/common_jars/log4j-core-2.8.2.<#>.jar".  This applies to both BDA 5.1 and BDA 5.2.

For example running bdachecksw on each cluster host will raise an error like below:

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.